### Method

# Xdp Portal compose_email

#### Declaration [src]

    void
    xdp_portal_compose_email (
      XdpPortal* portal,
      XdpParent* parent,
      const char* const* addresses,
      const char* const* cc,
      const char* const* bcc,
      const char* subject,
      const char* body,
      const char* const* attachments,
      XdpEmailFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Presents a window that lets the user compose an email, with some pre-filled information.

When the request is done, `callback` will be called. You can then call `xdp_portal_compose_email_finish()` to get the results.

This method completes asynchronously. Use `xdp_portal_compose_email_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `XdpParent`

  Parent window information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`addresses`

  Type: An array of `char*`

  The email addresses to send to.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`cc`

  Type: An array of `char*`

  The email addresses to cc.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`bcc`

  Type: An array of `char*`

  The email addresses to bcc.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`subject`

  Type: `const char*`

  The subject for the email.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`body`

  Type: `const char*`

  The body for the email.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`attachments`

  Type: An array of `char*`

  An array of paths for files to attach.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`flags`

  Type: `XdpEmailFlags`

  Options for this call.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.